> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Usage



## OpenAPI

````yaml /openapi.json get /api-tokens/{token_id}/usage
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /api-tokens/{token_id}/usage:
    get:
      tags:
        - API Tokens
      summary: Token Usage
      operationId: token_usage_api_tokens__token_id__usage_get
      parameters:
        - name: token_id
          in: path
          required: true
          schema:
            type: integer
            title: Token Id
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Before
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenUsagePage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TokenUsagePage:
      properties:
        rows:
          items:
            $ref: '#/components/schemas/TokenUsageRow'
          type: array
          title: Rows
        next_cursor:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - rows
        - next_cursor
      title: TokenUsagePage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenUsageRow:
      properties:
        time:
          type: string
          format: date-time
          title: Time
        method:
          type: string
          title: Method
        path:
          type: string
          title: Path
        status_code:
          type: integer
          title: Status Code
        ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip
        latency_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latency Ms
        scope_checked:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope Checked
        customer_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Customer Id
        broker_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Broker Error
      type: object
      required:
        - time
        - method
        - path
        - status_code
        - ip
        - latency_ms
        - scope_checked
        - customer_id
        - broker_error
      title: TokenUsageRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````